## kodi-pvr-mythtv 2.8.0+git20151119

=== CMakeLists.txt ===
project(pvr.mythtv)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)
enable_language(C)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib/cppmyth/src)

add_definitions(-DUSE_DEMUX -D__STDC_FORMAT_MACROS)

if(NOT WIN32)
  add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC -Wall")
endif()

set(MYTHTV_SOURCES src/avinfo.cpp
                   src/categories.cpp
                   src/demuxer/ES_AAC.cpp
                   src/demuxer/ES_MPEGAudio.cpp
                   src/demuxer/bitstream.cpp
                   src/demuxer/ES_Teletext.cpp
                   src/demuxer/debug.cpp
                   src/demuxer/ES_Subtitle.cpp
                   src/demuxer/ES_h264.cpp
                   src/demuxer/ES_AC3.cpp
                   src/demuxer/elementaryStream.cpp
                   src/demuxer/ES_MPEGVideo.cpp
                   src/demuxer/tsDemuxer.cpp
                   src/demux.cpp
                   src/guidialogbase.cpp
                   src/guidialogyesno.cpp
                   src/pvrclient-mythtv.cpp
                   src/cppmyth/MythScheduleManager.cpp
                   src/cppmyth/MythEPGInfo.cpp
                   src/cppmyth/MythRecordingRule.cpp
                   src/cppmyth/MythProgramInfo.cpp
                   src/cppmyth/MythChannel.cpp
                   src/client.cpp
                   src/fileOps.cpp)

add_subdirectory(lib/cppmyth)

set(DEPLIBS ${platform_LIBRARIES} cppmyth)
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
else()
  list(APPEND DEPLIBS m)
endif()

if(NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
  if(HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif()
  if(HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif()
endif()

set(BUILD_SHARED_LIBS ON)
build_addon(pvr.mythtv MYTHTV DEPLIBS)

include(CPack)

=== lib/cppmyth/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
cmake_policy (VERSION 2.6)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

project (cppmyth)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

enable_language(CXX)
enable_language(C)

# Options
if (MSVC)
  # This option must match the settings used in your program, in particular if you
  # are linking statically
  OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
endif ()

if (NOT WIN32)
  OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
endif ()

###############################################################################
# set lib version here
set (CPPMYTH_LIB_VERSION "2.4.0")
set (CPPMYTH_LIB_SOVERSION "2")

###############################################################################
# add definitions
if (MSVC)
  add_definitions ("/D_USE_32BIT_TIME_T /D_CRT_SECURE_NO_WARNINGS")
  if (STATIC_CRT)
    set (CMAKE_C_FLAGS_RELEASE "/MT")
    set (CMAKE_C_FLAGS_DEBUG "/MTd")
    set (CMAKE_CXX_FLAGS_RELEASE "/MT")
    set (CMAKE_CXX_FLAGS_DEBUG "/MTd")
  endif ()
  set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /W3")
  set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /W3")
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /Od /RTC1 /EHsc /nologo")
  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
endif ()

if (NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
  if (NOT CYGWIN)
    add_definitions ("-fPIC")
  endif ()
  include (CheckLibraryExists)
  include (CheckAtomic)
  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif ()
  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif ()
endif ()

###############################################################################
# configure
include (CheckFunctionExists)
include (CheckFunctionKeywords)
find_package (Threads REQUIRED)

check_function_exists (timegm CHK_TIMEGM)
if (CHK_TIMEGM)
    set (HAVE_TIMEGM 1)
else ()
    set (HAVE_TIMEGM 0)
endif ()

check_function_exists (localtime_r CHK_LOCALTIME_R)
if (CHK_LOCALTIME_R)
    set (HAVE_LOCALTIME_R 1)
else ()
    set (HAVE_LOCALTIME_R 0)
endif ()

check_function_exists (gmtime_r CHK_GMTIME_R)
if (CHK_GMTIME_R)
    set (HAVE_GMTIME_R 1)
else ()
    set (HAVE_GMTIME_R 0)
endif ()

# Check what the inline keyword is.
check_function_keywords ("inline")
check_function_keywords ("__inline")
check_function_keywords ("__inline__")
if (HAVE_INLINE)
   set (CC_INLINE inline)
elseif (HAVE___INLINE)
   set (CC_INLINE __inline)
elseif (HAVE___INLINE__)
   set (CC_INLINE __inline__)
else ()
   # no inline on this platform
   set (CC_INLINE)
endif ()

if (REQUIRE_CXX_98)
  set (CXX_STANDARD "199711L")
  message(STATUS "c++98 activated")
else ()
  if (MSVC)
    set (CXX_STANDARD "201103L")
  else ()
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    if(COMPILER_SUPPORTS_CXX11)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
      set (CXX_STANDARD "201103L")
    else()
      set (CXX_STANDARD "199711L")
    endif ()
  endif ()
endif ()

# configure the public config file
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}/src/.)

###############################################################################
# add sources
file (GLOB SRC_FILES
  src/private/mythdto/*.cpp
  src/private/*.c
  src/private/*.cpp
  src/proto/*.cpp
  src/*.cpp)

file (GLOB OS_SRC_FILES
  src/private/os/threads/threadpool.cpp)

if (MSVC)
  list (APPEND OS_SRC_FILES
    src/private/os/windows/winpthreads.c)
endif ()

set (CPPMYTH_SOURCES
  ${SRC_FILES} ${OS_SRC_FILES})

###############################################################################
# add targets
set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
if (WIN32)
  list (APPEND cppmyth_LIBRARIES ws2_32)
else ()
  list (APPEND cppmyth_LIBRARIES m)
  find_library (LIBRT rt)
  if (LIBRT)
    list (APPEND cppmyth_LIBRARIES rt)
  endif ()
endif ()

add_library (cppmyth STATIC ${CPPMYTH_SOURCES})
target_link_libraries (cppmyth ${cppmyth_LIBRARIES})

=== debian/changelog ===
kodi-pvr-mythtv (2.8.0+git20151119-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

=== debian/control ===
Source: kodi-pvr-mythtv
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.mythtv.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mythtv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mythtv.git


Package: kodi-pvr-mythtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: MythTV PVR Addon for Kodi
 This package contains the MythTV PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# hack for using cec-platform
export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/

%:
	dh $@

override_dh_auto_configure:
	# hack for using cec-platform
	ln -s /usr/include/cec-platform src/platform
	# USE_LTO breaks build
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-mythtv

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-mythtv 3.4.8+git20160301

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(pvr.mythtv)
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
@@ -40,12 +40,17 @@
                    src/guidialogyesno.cpp
                    src/pvrclient-mythtv.cpp
                    src/cppmyth/MythScheduleManager.cpp
+                   src/cppmyth/MythScheduleHelperNoHelper.cpp
+                   src/cppmyth/MythScheduleHelper75.cpp
+                   src/cppmyth/MythScheduleHelper76.cpp
+                   src/cppmyth/MythScheduleHelper85.cpp
                    src/cppmyth/MythEPGInfo.cpp
                    src/cppmyth/MythRecordingRule.cpp
                    src/cppmyth/MythProgramInfo.cpp
                    src/cppmyth/MythChannel.cpp
                    src/client.cpp
-                   src/fileOps.cpp)
+                   src/fileOps.cpp
+                   src/filestreaming.cpp)
 
 add_subdirectory(lib/cppmyth)

=== debian/changelog ===
kodi-pvr-mythtv (3.4.8+git20160301-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Aug 2016 13:07:01 +0200

kodi-pvr-mythtv (3.4.8+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 3.4.8+git20160301 (Closes: #816581)
  * Bump standards version to 3.9.7
  * Extend package description (Closes: #808748)
  * Switch to p8-platform from (cec-)platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 12:56:34 +0100

=== debian/control ===
Source: kodi-pvr-mythtv
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.mythtv.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mythtv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mythtv.git

Package: kodi-pvr-mythtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: MythTV PVR Addon for Kodi
 MythTV is a open source software PVR project that is designed to run on
 Linux, although other operating system packages are available. With
 MythTV you can watch Live TV, schedule recordings, view episode guide
 information, and many other features you expect from a DVR type
 appliance device. But more interesting for Kodi users is that as MythTV
 uses a distributed application structure it can also be configured as
 PVR backend (PVR server) for Kodi, supporting multiple Kodi frontends as
 clients, with MythTV acting as the PVR backend that does work of tuning
 TV signals, recording, scheduling, and post processing jobs.
 .
 This package contains the MythTV PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media

## kodi-pvr-mythtv 4.12.12+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 enable_language(CXX)
 enable_language(C)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${PROJECT_SOURCE_DIR}/lib/cppmyth/src)
 
@@ -34,10 +34,9 @@
                    src/demuxer/ES_AC3.cpp
                    src/demuxer/elementaryStream.cpp
                    src/demuxer/ES_MPEGVideo.cpp
+                   src/demuxer/ES_hevc.cpp
                    src/demuxer/tsDemuxer.cpp
                    src/demux.cpp
-                   src/guidialogbase.cpp
-                   src/guidialogyesno.cpp
                    src/pvrclient-mythtv.cpp
                    src/cppmyth/MythScheduleManager.cpp
                    src/cppmyth/MythScheduleHelperNoHelper.cpp
@@ -54,7 +53,7 @@
 
 add_subdirectory(lib/cppmyth)
 
-set(DEPLIBS ${platform_LIBRARIES} cppmyth)
+set(DEPLIBS ${p8-platform_LIBRARIES} cppmyth)
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)
 else()

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
-cmake_policy (VERSION 2.6)
-set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
+cmake_minimum_required (VERSION 2.8.9 FATAL_ERROR)
+cmake_policy (VERSION 2.8)
 
 project (cppmyth)
 
@@ -9,7 +8,10 @@
 enable_language(CXX)
 enable_language(C)
 
+#include (GNUInstallDirs)
+
 # Options
+OPTION (BUILD_SHARED_LIBS "Build shared libraries." OFF)
 if (MSVC)
   # This option must match the settings used in your program, in particular if you
   # are linking statically
@@ -22,7 +24,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.4.0")
+set (CPPMYTH_LIB_VERSION "2.9.3")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
@@ -41,17 +43,31 @@
   set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
 endif ()
 
-if (NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
+if (NOT WIN32)
   if (NOT CYGWIN)
     add_definitions ("-fPIC")
   endif ()
-  include (CheckLibraryExists)
-  include (CheckAtomic)
-  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
-    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
-  endif ()
-  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
-    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
+  add_definitions ("-Wall")
+
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+  if(NOT REQUIRE_CXX_98 AND COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+    message(STATUS "Using standard c++11")
+  else()
+    CHECK_CXX_COMPILER_FLAG("-std=c++98" COMPILER_SUPPORTS_CXX98)
+    if(COMPILER_SUPPORTS_CXX98)
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
+      message(STATUS "Using standard c++98")
+    endif()
+    include (CheckLibraryExists)
+    include (CheckAtomic)
+    if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
+      add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
+    endif ()
+    if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
+      add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
+    endif ()
   endif ()
 endif ()
 
@@ -82,6 +98,16 @@
     set (HAVE_GMTIME_R 0)
 endif ()
 
+find_package (ZLIB REQUIRED)
+if (ZLIB_FOUND)
+    include_directories (${ZLIB_INCLUDE_DIRS})
+    set (HAVE_ZLIB 1)
+else ()
+    set (HAVE_ZLIB 0)
+endif ()
+
+set (HAVE_OPENSSL 0)
+
 # Check what the inline keyword is.
 check_function_keywords ("inline")
 check_function_keywords ("__inline")
@@ -97,40 +123,19 @@
    set (CC_INLINE)
 endif ()
 
-if (REQUIRE_CXX_98)
-  set (CXX_STANDARD "199711L")
-  message(STATUS "c++98 activated")
-else ()
-  if (MSVC)
-    set (CXX_STANDARD "201103L")
-  else ()
-    include(CheckCXXCompilerFlag)
-    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-    if(COMPILER_SUPPORTS_CXX11)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-      set (CXX_STANDARD "201103L")
-    else()
-      set (CXX_STANDARD "199711L")
-    endif ()
-  endif ()
-endif ()
-
 # configure the public config file
-configure_file (
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
   ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
+include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
 ###############################################################################
 # add sources
 file (GLOB SRC_FILES
-  src/private/mythdto/*.cpp
-  src/private/*.c
-  src/private/*.cpp
-  src/proto/*.cpp
-  src/*.cpp)
+  src/private/mythdto/*.cpp src/private/mythdto/*.h
+  src/private/*.c src/private/*.cpp src/private/*.h
+  src/proto/*.cpp src/proto/*.h
+  src/*.cpp src/*.h)
 
 file (GLOB OS_SRC_FILES
   src/private/os/threads/threadpool.cpp)
@@ -146,6 +151,12 @@
 ###############################################################################
 # add targets
 set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+if (ZLIB_FOUND)
+  list (APPEND cppmyth_LIBRARIES ${ZLIB_LIBRARIES})
+endif ()
+#if (OPENSSL_FOUND)
+#  list (APPEND cppmyth_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
+#endif ()
 if (WIN32)
   list (APPEND cppmyth_LIBRARIES ws2_32)
 else ()

=== depends/common/zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(zlib C)

set(VERSION "1.2.8")

set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE PATH "Installation directory for executables")
set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Installation directory for libraries")
set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "Installation directory for headers")
set(INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Installation directory for manual pages")
set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
enable_testing()

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    deflate.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    inflate.c
    infback.c
    inftrees.c
    inffast.c
    trees.c
    uncompr.c
    zutil.c
)

if(NOT MINGW)
    set(ZLIB_SRCS ${ZLIB_SRCS}
        win32/zlib1.rc # If present will override custom build rule below.
    )
endif()

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        SET(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/zlib1.rc)
    set(ZLIB_SRCS ${ZLIB_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj)
endif(MINGW)

if(BUILD_SHARED_LIBS)
    add_library(zlib SHARED ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
    add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
    set_target_properties(zlib PROPERTIES DEFINE_SYMBOL ZLIB_DLL)
    set_target_properties(zlib PROPERTIES SOVERSION 1)
else(BUILD_SHARED_LIBS)
    add_library(zlib STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
endif(BUILD_SHARED_LIBS)

if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${ZLIB_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    #
    # This has no effect with MSVC, on that platform the version info for
    # the DLL comes from the resource file win32/zlib1.rc
    set_target_properties(zlib PROPERTIES VERSION ${ZLIB_FULL_VERSION})
endif()

if(UNIX)
    # On unix-like platforms the library is almost always called libz
    set_target_properties(zlib PROPERTIES OUTPUT_NAME z)
    if(BUILD_SHARED_LIBS)
        set_target_properties(zlibstatic PROPERTIES OUTPUT_NAME z)
    endif(BUILD_SHARED_LIBS)
    set_target_properties(zlib PROPERTIES LINK_FLAGS "-Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/zlib.map")
elseif(BUILD_SHARED_LIBS AND WIN32)
    # Creates zlib1.dll when building shared library version
    set_target_properties(zlib PROPERTIES SUFFIX "1.dll")
endif()

if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
    install(TARGETS zlib
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
    if(BUILD_SHARED_LIBS)
        install(TARGETS zlibstatic
            RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
            ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
            LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
    endif(BUILD_SHARED_LIBS)
endif()
if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PUBLIC_HDRS} DESTINATION "${INSTALL_INC_DIR}")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES zlib.3 DESTINATION "${INSTALL_MAN_DIR}/man3")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PC} DESTINATION "${INSTALL_PKGCONFIG_DIR}")
endif()

#============================================================================
# Example binaries
#============================================================================

add_executable(example test/example.c)
target_link_libraries(example zlib)
add_test(example example)

add_executable(minigzip test/minigzip.c)
target_link_libraries(minigzip zlib)

if(HAVE_OFF64_T)
    add_executable(example64 test/example.c)
    target_link_libraries(example64 zlib)
    set_target_properties(example64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
    add_test(example64 example64)

    add_executable(minigzip64 test/minigzip.c)
    target_link_libraries(minigzip64 zlib)
    set_target_properties(minigzip64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
endif()

=== debian/changelog ===
kodi-pvr-mythtv (4.12.12+dfsg1-1) unstable; urgency=medium

  * Update Homepage to new location
  * Exclude debian/ dir from upstream tarball
  * Add watch file
  * Imported Upstream version 4.12.12+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 15:35:39 +0100

kodi-pvr-mythtv (4.12.7+git20161219-2) unstable; urgency=medium

  * Build-depend on zlib1g-dev (Closes: #849285)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 25 Dec 2016 00:37:24 +0100

kodi-pvr-mythtv (4.12.7+git20161219-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Imported Upstream version 4.12.7+git20161219
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:44:31 +0100

kodi-pvr-mythtv (4.7.2+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 4.7.2+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 11:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: kodi-pvr-mythtv
-Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
-Build-Depends: debhelper (>= 9.0.0), cmake,
-               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Section: libs
+Priority: extra
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libkodiplatform-dev (>= 17.1.0),
+               kodi-addons-dev (>= 17.0~beta6~),
+               zlib1g-dev
 Standards-Version: 3.9.7
-Section: libs
-Homepage: https://github.com/kodi-pvr/pvr.mythtv.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mythtv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mythtv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-mythtv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-mythtv.git
+Homepage: https://github.com/janbar/pvr.mythtv
 
 Package: kodi-pvr-mythtv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: MythTV PVR Addon for Kodi
  MythTV is a open source software PVR project that is designed to run on
  Linux, although other operating system packages are available. With

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,9 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	# hack for using cec-platform
-	ln -s /usr/include/cec-platform src/platform
 	# USE_LTO breaks build
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*//" \
   https://github.com/janbar/pvr.mythtv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## kodi-pvr-mythtv 5.10.15

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,7 @@
-cmake_minimum_required (VERSION 2.8.9 FATAL_ERROR)
-cmake_policy (VERSION 2.8)
-
+cmake_minimum_required(VERSION 3.5)
 project (cppmyth)
 
 set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
-
-enable_language(CXX)
-enable_language(C)
-
-#include (GNUInstallDirs)
 
 # Options
 OPTION (BUILD_SHARED_LIBS "Build shared libraries." OFF)
@@ -18,19 +11,19 @@
   OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
 endif ()
 
-if (NOT WIN32)
+if (NOT MSVC)
   OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
 endif ()
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.9.3")
+set (CPPMYTH_LIB_VERSION "2.13.0")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
 # add definitions
 if (MSVC)
-  add_definitions ("/D_USE_32BIT_TIME_T /D_CRT_SECURE_NO_WARNINGS")
+  add_definitions ("/D_CRT_SECURE_NO_WARNINGS")
   if (STATIC_CRT)
     set (CMAKE_C_FLAGS_RELEASE "/MT")
     set (CMAKE_C_FLAGS_DEBUG "/MTd")
@@ -39,14 +32,22 @@
   endif ()
   set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /W3")
   set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /W3")
-  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /Od /RTC1 /EHsc /nologo")
-  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
+  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /EHsc /nologo")
+  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /EHsc /nologo")
+  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
+    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /O2")
+  else()
+    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Od /RTC1")
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Od /RTC1")
+  endif()
 endif ()
 
-if (NOT WIN32)
+if (NOT MSVC)
   if (NOT CYGWIN)
     add_definitions ("-fPIC")
   endif ()
+
   add_definitions ("-Wall")
 
   include(CheckCXXCompilerFlag)
@@ -125,17 +126,17 @@
 
 # configure the public config file
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)
+  ${CMAKE_CURRENT_BINARY_DIR}/src/cppmyth_config.h)
 
-include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/.)
+include_directories (${CMAKE_CURRENT_BINARY_DIR}/src/ ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
 ###############################################################################
 # add sources
 file (GLOB SRC_FILES
-  src/private/mythdto/*.cpp src/private/mythdto/*.h
-  src/private/*.c src/private/*.cpp src/private/*.h
-  src/proto/*.cpp src/proto/*.h
-  src/*.cpp src/*.h)
+  src/private/mythdto/*.cpp
+  src/private/*.c src/private/*.cpp
+  src/proto/*.cpp
+  src/*.cpp)
 
 file (GLOB OS_SRC_FILES
   src/private/os/threads/threadpool.cpp)
@@ -148,6 +149,18 @@
 set (CPPMYTH_SOURCES
   ${SRC_FILES} ${OS_SRC_FILES})
 
+file (GLOB HDR_FILES
+  src/private/mythdto/*.h
+  src/private/*.h
+  src/proto/*.h
+  src/*.h)
+
+file (GLOB OS_HDR_FILES
+  src/private/os/threads/*.h)
+
+set (CPPMYTH_HEADERS
+  ${HDR_FILES} ${OS_HDR_FILES})
+
 ###############################################################################
 # add targets
 set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
@@ -157,7 +170,7 @@
 #if (OPENSSL_FOUND)
 #  list (APPEND cppmyth_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
 #endif ()
-if (WIN32)
+if (MSVC)
   list (APPEND cppmyth_LIBRARIES ws2_32)
 else ()
   list (APPEND cppmyth_LIBRARIES m)
@@ -169,4 +182,3 @@
 
 add_library (cppmyth STATIC ${CPPMYTH_SOURCES})
 target_link_libraries (cppmyth ${cppmyth_LIBRARIES})
-

=== debian/changelog ===
kodi-pvr-mythtv (5.10.15-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Don't repack upstream tarball
  * New upstream version 5.10.15
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kodi-pvr-mythtv
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                cmake,
-               libkodiplatform-dev (>= 17.1.0),
-               kodi-addons-dev (>= 17.0~beta6~),
+               kodi-addons-dev (>= 2:18~),
+               libkodiplatform-dev (>= 20180302),
                zlib1g-dev
 Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-mythtv.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-mythtv.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv.git
 Homepage: https://github.com/janbar/pvr.mythtv
 
 Package: kodi-pvr-mythtv

=== debian/watch ===
version=4
https://github.com/janbar/pvr.mythtv/releases /janbar/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-mythtv 7.3.0+ds1

=== debian/changelog ===
kodi-pvr-mythtv (7.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:59 +0000

kodi-pvr-mythtv (7.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.2.0+ds1
    + Repack out vendored dependencies, except for cppmyth, so add a
      README.source documenting that.
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:11:27 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv/releases \
/janbar/pvr.mythtv/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-mythtv 7.3.1+ds1

=== debian/changelog ===
kodi-pvr-mythtv (7.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.1+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 22:06:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kodi-pvr-mythtv
+Priority: optional
+Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
-Section: libs
-Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
-               cmake,
-               kodi-addons-dev (>= 2:18~),
-               libkodiplatform-dev (>= 20180302),
-               zlib1g-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv.git
-Homepage: https://github.com/janbar/pvr.mythtv
+Uploaders: Vasyl Gello <vasek.gello@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~),
+ zlib1g-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git
+Homepage: https://kodi.tv/
 
 Package: kodi-pvr-mythtv
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${kodi:PVRAPI}
+ ${misc:Depends},
+ ${kodi:PVRAPI}
 Description: MythTV PVR Addon for Kodi
  MythTV is a open source software PVR project that is designed to run on
  Linux, although other operating system packages are available. With

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv/releases \
/janbar/pvr.mythtv/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-mythtv 19.0.2+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.mythtv)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Kodi REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PROJECT_SOURCE_DIR}/lib/cppmyth/src)

add_definitions(-DUSE_DEMUX -D__STDC_FORMAT_MACROS)

if(NOT WIN32)
  add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC -Wall")
endif()

file (GLOB MYTHTV_SOURCES
  src/demuxer/*.cpp
  src/cppmyth/*.cpp
  src/*.cpp)

file (GLOB MYTHTV_HEADERS
  src/demuxer/*.h
  src/cppmyth/*.h
  src/*.h)

add_subdirectory(lib/cppmyth)

set(DEPLIBS cppmyth)
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
else()
  list(APPEND DEPLIBS m)
endif()

if(NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
  if(HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif()
  if(HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif()
endif()

set(BUILD_SHARED_LIBS ON)
build_addon(pvr.mythtv MYTHTV DEPLIBS)

include(CPack)

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.13.0")
+set (CPPMYTH_LIB_VERSION "2.14.1")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################

=== debian/changelog ===
kodi-pvr-mythtv (19.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.2+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Nov 2021 11:32:40 +0000

kodi-pvr-mythtv (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:56 +0000

kodi-pvr-mythtv (7.3.1+ds1-2) unstable; urgency=medium

  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  kodi-addons-dev (>= 2:19~),
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv/releases \
/janbar/pvr.mythtv/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-mythtv 19.0.8+ds1

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.14.1")
+set (CPPMYTH_LIB_VERSION "2.14.5")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################

=== debian/changelog ===
kodi-pvr-mythtv (19.0.8+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:19 +0000

kodi-pvr-mythtv (19.0.8+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.8+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Apr 2022 18:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  zlib1g-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-pvr-mythtv 20.2.7+ds1

=== debian/changelog ===
kodi-pvr-mythtv (20.2.7+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.7+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:50 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv/releases \
/janbar/pvr.mythtv/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-mythtv 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-mythtv (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-mythtv 20.6.0+ds

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -11,15 +11,14 @@
   OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
 endif ()
 
-if (NOT MSVC)
-  OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
-endif ()
-
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.14.5")
-set (CPPMYTH_LIB_SOVERSION "2")
+set (PACKAGE_VERSION_MAJOR 2)
+set (PACKAGE_VERSION_MINOR 17)
+set (PACKAGE_VERSION_PATCH 0)
 
+set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
+set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})
 ###############################################################################
 # add definitions
 if (MSVC)
@@ -52,23 +51,17 @@
 
   include(CheckCXXCompilerFlag)
   CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-  if(NOT REQUIRE_CXX_98 AND COMPILER_SUPPORTS_CXX11)
+  if(COMPILER_SUPPORTS_CXX11)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
     message(STATUS "Using standard c++11")
-  else()
-    CHECK_CXX_COMPILER_FLAG("-std=c++98" COMPILER_SUPPORTS_CXX98)
-    if(COMPILER_SUPPORTS_CXX98)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
-      message(STATUS "Using standard c++98")
-    endif()
-    include (CheckLibraryExists)
-    include (CheckAtomic)
-    if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
-      add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
-    endif ()
-    if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
-      add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
-    endif ()
+  endif()
+  include (CheckLibraryExists)
+  include (CheckAtomic)
+  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
+    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
+  endif ()
+  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
+    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
   endif ()
 endif ()
 
@@ -125,8 +118,8 @@
 endif ()
 
 # configure the public config file
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/src/cppmyth_config.h)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/local_config.h.in
+  ${CMAKE_CURRENT_BINARY_DIR}/src/local_config.h)
 
 include_directories (${CMAKE_CURRENT_BINARY_DIR}/src/ ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
@@ -139,7 +132,8 @@
   src/*.cpp)
 
 file (GLOB OS_SRC_FILES
-  src/private/os/threads/threadpool.cpp)
+  src/private/os/threads/threadpool.cpp
+  src/private/os/threads/latch.cpp)
 
 if (MSVC)
   list (APPEND OS_SRC_FILES

## kodi-pvr-mythtv 20.6.9+ds

=== debian/changelog ===
kodi-pvr-mythtv (20.6.9+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:00 +1100

kodi-pvr-mythtv (20.6.9+ds-1) unstable; urgency=medium

  * New upstream version 20.6.9+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:02:02 +0000

kodi-pvr-mythtv (20.6.0+ds-1) unstable; urgency=medium

  * New upstream version 20.6.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 11 Feb 2024 07:18:35 +0000

kodi-pvr-mythtv (20.5.10+ds-1) unstable; urgency=medium

  * New upstream version 20.5.10+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-pvr-mythtv
 Priority: optional
 Section: video
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/janbar/pvr.mythtv \
